extern int gblIndice;
extern FILE *gblFichierConfig;
extern int bModeWideCrLf;

char *GetChaine(char **dest);
void AnalyseCar(char **dest, char **car, char *max);
char *GetCopieChaine(char *dst, char *chne, unsigned long tailleMax);
void CreeChaineScript(char *dst, char *src, char carspecial, int taillemax);
void GetNomFichierConfigMap(char *nom_fichier, char *nom_base);
void FctCleanupProject(char *ptr);
void FctResetParams(char *ptr);
void MajFichierParams();
void FctDefParamList(char *ptr);
void FctEmulGBAAncien(char *ptr);
void FctMaxObjets(char *ptr);
void FctAjParam(char *ptr);

extern int arretdurgence;
extern char *trouveLabel, chneLabel[1000];

void FctInclure(char *ptr);
void FctFaire(char *ptr);
void FctMemoireMax(char *ptr);
void FctOk(char *ptr);
void FctMsgBox(char *ptr);
void FctShowWindow(char *ptr);
void FctQuitte(char *ptr);
void FctFin(char *ptr);
void FctExec(char *ptr);
void FctCoulTrans(char *ptr);
void FctPalZero(char *ptr);
void FctRetour(char *ptr);
void FctAjouteFond(char *ptr);
void FctReinitFonds(char *ptr);
void FctGoto(char *ptr);
void FctZoom(char *ptr);
double GetIntensiteCouleur(char *ptr);
char *AnalyseCouleur(char *ptr, double *r, double *v, double *b);
void CreeCouleurs();
void FctNuances(char *ptr);
void FctModeReduc(char *ptr);
void FctLumiere(char *ptr);
void FctTronquer(char *ptr);
void FctNuancesAvant(char *ptr);
void FctBougeSpecimen(char *ptr);
void FctBougeBits(char *ptr);
void FctBougeEditeur(char *ptr);
void AjoutePlanSpecimen(int i);
void FctAssoc(char *ptr);
void FctLieMap(char *ptr);
void FctParallax(char *ptr);
void FctEmulGBA(char *ptr);
void FctGrille(char *ptr);
void FctAfficheBits(char *ptr);
void FctAfficheSpecimen(char *ptr);
void FctTexteBit(char *ptr);
void FctBitActif(char *ptr);
void FctAjCondition(char *ptr);
void FctNvFormat(char *ptr);
void ChoisitFormat(char *nom);
void FctSetFormat(char *ptr);
void FctFormat(char *ptr);
void ChoisitModele(char *nom);
void ChoisitFormatFichierExtension(const char *nom);
void FctSetModele(char *ptr);
void FctModele(char *ptr);
void FctPlateforme(char *ptr);

typedef struct		{
	char *nom;
	void *handle;
	int type;
} IDENTIFICATEUR;

typedef struct		{
	char *nom;
	void *handle;
	int type;
	void *valeur;
} IDENTIFICATEUR_ETENDU;

typedef struct		{
	int taille;
	IDENTIFICATEUR *objet;
} INFOS_OBJET;

typedef struct		{
	int taille;
	int type;
	void *tableau;
} INFOS_TABLEAU;

void AjouteIdConvExterne(IDENTIFICATEUR_ETENDU *id);

void FctConv(char *ptr);
void AjouteObjetExterne(IDENTIFICATEUR *objet);
IDENTIFICATEUR *TrouveIdentificateur(IDENTIFICATEUR *source, int taille, char *objet);
int OuvreFichierConfig(char *nom_fichier, char *fonction);
//Command: si FILE == NULL
void ExecScript(FILE *f, char *fonction, char *command);
IDENTIFICATEUR *GetVariableAddress(char *str);
void AjouteProcedures(char *nom_fichier, HMENU hMenu);
