#include "main.h"

HINSTANCE hInst;
HWND hChargement = NULL;
int nbreElements;
int gParam=0;
ELEMENT *elements;
char cTitre[1000];

//Handle vers les lments de l'arbre
HANDLE htvMosaiques, htvBitmaps, htvCartes, htvPalettes, htvImporter, htvListes;

//Variables Windows diverses
HFONT hFonte, hfCourier;
HDC hdcImage1, hdcImage3;
HBITMAP hbm1, hbm2, hbm4;
HWND hTV;
int selection=SEL_AUCUNE;

//Handle vers les boutons "dynamiques"
HWND hBoutonsDyna[NBRE_BOUTONS_DYNA];
int nElementSelectionne=-1;

//Vive les variables globales! :D
//(si vous me cherchez je suis dj dehors...)
int tailleX, tailleY;						//Dimensions de l'image
int tailleVoulueX, tailleVoulueY;			//Ca se passe de commentaires...
int tileX=8, tileY=8, taille, vraieTaille;
int scrollX=0, scrollY=0;
int cFond=0, blocBase=0;
char str[1000];
int ModeTexte=0;
BOOL optimisePal=0, optimiseTil=0, messages=1;
int utilMemoire=0;
int masqueInvisible=0xffff;
int editeurOuvert=0;
int lastComboTileSizeValue;

/*
	DEFINITIONS DE L'EDITEUR
*/
int MODE_TEXTE=0;
int nMaps=0, combleZeros=0, fondTransparent=0, hexAlphaFonds=96, gfxAlphaFonds=128, AlphaPremPlan=160;
BOOL proprePalette=1;

/*
	FIN DES DEFINITIONS DE L'EDITEUR
*/
HWND hArbre;

//Oui je sais c'est terriblement sale...
char gblcPal[MAX_PATH], gblcMap[MAX_PATH], gblcTil[MAX_PATH], gblcNomC[MAX_PATH];
int notification=1;

//Ne pas traduire
	const char *types_fr[]=		{
	//	"aucun", "carte", "(sprite)", "tileset", "bitmap 8 bits", "bitmap 16 bits", "palette", "liste"
		"aucun", "carte", "(sprite)", "tileset", "bitmap", "mauvais", "palette", "liste"
	};
	const char *types_en[]=		{
	//	"aucun", "carte", "(sprite)", "tileset", "bitmap 8 bits", "bitmap 16 bits", "palette", "liste"
		"none", "map", "(sprite)", "tileset", "bitmap", "bad", "palette", "list"
	};
//Traduction possible

const char *types_all[]=		{
//	"aucun", "carte", "(sprite)", "tileset", "bitmap 8 bits", "bitmap 16 bits", "palette", "liste"
	"aucun", "carte", "(sprite)", "tileset", "bitmap", "mauvais", "palette", "liste"
};
const int types_numberof = (sizeof(types_fr)/sizeof(types_fr[0]));

char fichierConfigAOuvrir[MAX_PATH];
int nbreProcedures;

//N'accdez pas directement  ces variables avec le script! Utilisez "convert.couleurtransparente=rgb(1,2,3)"  la place...
int rougeMasque=255, vertMasque=0, bleuMasque=254, rougeZero=0, vertZero=0, bleuZero=0;
int popUpInfos=1, tempsPopUp=61, fondHexa=1, retourScript;
int nuances;
char *sectionDonnees;
int tailleSectionDonnees, utilMaxCoul=FALSE, emul_gba=FALSE, sys_emul_gba=FALSE;
HMENU hProcedures;

SD_PARAMS *sdParams;
int sdNbreModeles=1;
int gblSdModele=0;
char gblTypeSd[TAILLE_MAX_CHAINES];

SPRITE_LISTE gblSpriteListe;
char gblUserData[NB_MAX_USERDATA][TAILLE_MAX_CHAINES];

unsigned char tblCoulR[256], tblCoulV[256], tblCoulB[256];
double GammaR=1, GammaV=1, GammaB=1, AdditionR=0, AdditionV=0, AdditionB=0, AlphaR=0, AlphaV=0, AlphaB=0;
int nuancesAvant=0, troncEntier=0;

int modeConversion=0;
int gblCurSection;

int couleurGrille=RGB(64,64,64), transGrille=96;
int masqueZero=0, bitsMasqueZero=1;

char (*nomsBits)[NOMBRE_BITS][TAILLE_MAX_CHAINES_GRID]=NULL;
char (*bitsActives)[NOMBRE_BITS]=NULL;
HWND hDlgBits = NULL;

unsigned short n_conditions[MAX_FONDS];
S_CONDITION s_conditions[MAX_FONDS][MAX_COND];

//Variables spciales. Ces variables sont modifiables  l'aide d'un fichier texte.
int gfxmask=0xffffffff;
char *nom_format=NULL, format_appliquer[TAILLE_MAX_CHAINES], modele_appliquer[TAILLE_MAX_CHAINES];

unsigned int DIMENSION_MAX=1024*1024*32;					//Taille max des aperus: 32 Mo

char chneNomVarTil[TAILLE_MAX_CHAINES], chneNomVarMap[TAILLE_MAX_CHAINES], chneNomVarPal[TAILLE_MAX_CHAINES], chneNomVarBmp[TAILLE_MAX_CHAINES];
int editTiming;
int precisionMax=512;

int bGdiPlusEnabled=1, bGdiPlusDemarre=0;

int GDIPLUS_DrawImage (const char *fichier, int *dx, int *dy);
LRESULT CALLBACK ProcOptions(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);
LRESULT CALLBACK ProcOptions2(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);
LRESULT CALLBACK ProcOptions3(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);
LRESULT CALLBACK ProcOptions4(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);
void Alloc_Bits();
void Dealloc_Bits();
BOOL IsAllocated_Bits();
int NB_MAX_ELE_LISTE=1024;

const char *chneNomsDefautBits[]=		{
	"",
	"",
	"",
	"",
	"",
	"",
	"",
	"",
	//8
	"",
	"",
	"Miroir horizontal",
	"Miroir vertical",
	"Palette (LSB)",
	"Palette",
	"Palette",
	"Palette (MSB)",
	//16
	"",
	"",
	"",
	"",
	"",
	"",
	"",
	"",
	//32
	"",
	"",
	"",
	"",
	"",
	"",
	"",
	"",
};

void OptionsParams_RedessCombo(HWND hDlg, int dlgItem);

int sauverParamsMaps=1, sauverParamsMapsAutomatiquement=0;
char fichierProjet[MAX_PATH];
int gblErrorFlag;			//Une erreur s'est produite?
int bEtatDupliqueElement=0;
int bRedimDIBOverflow=0, bImageTropGrosse=0;
int bChoisitAutoFormat=1;
int g_majListeEnCours=0;

int EffaceVersCorbeille(char *nom_fichier);
void EcritParamsStandard(int fond);
void ChoisitFormatFichierExtension(const char *nom);

char *GetCopieChaine(char *dst, char *chne, unsigned long tailleMax);

LRESULT CALLBACK DlgAttributsElement(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);
void GetNomFichierConfigMap(char *nom_fichier, char *nom_base);

//NOUVELLE OPTION -> arrondit la slection aux tileX/tileY pour le multiplan
int bArronditSelection=1;

int dejaAvertiElementDossierBase=0;
int bInviteScriptContenuSauve=0;
char cInitialDir[MAX_PATH];
int bSpecimenAffiche=1;

int gbatilmask=0xffffffff;
PLATFORM_INFO *curPF;
int curCMode=0xfffffff;

int MULTR, MULTV, MULTB, gblMaskAlphaColor=0;
int gblGdipPaletteCount;
unsigned long *gblGdipPaletteEntries = NULL;
extern PLATFORM_INFO plateformes[];
extern int nbrePlateformes;

char repertoire[TAILLE_MAX_CHAINES], dossierParDefaut[nbreMaxDossiersDefaut][TAILLE_MAX_CHAINES], fichierAide[TAILLE_MAX_CHAINES];

typedef unsigned char u8;
typedef signed char s8;
typedef unsigned short u16;
typedef signed short s16;
typedef unsigned long u32;
typedef signed long s32;

HWND hCtlBits[NOMBRE_BITS];
int bBitsMustUpdate;

int gnTilesetWidth, gnPaletteWidth;
int gblNbCouleurs, gbPremTileTransparente;

char cExePath[MAX_PATH];

SPRITE_DEF *gblCurrentSprite = NULL;
