#include "main.h"

int AjouteAuProjet(char *fichier) {
	return ImporteFichier(fichier);
}

int ImporteFichier(char *fichier)		{
	char *extension;
	int i, j, type;

	extension = GetWideExtension((char*)fichier);
	for (i=0;i<nb_sections;i++)			{
		//Pour chaque type de fichier, compare si l'extension est la mme que le fichier en cours
		for (j=0;j<NBRE_PTRS_FORMATS;j++)		{
			//+1 pour supprimer le point
			if (!strcmp(extension, formats[i].ptrs[j][8]+1))			{
				ELEMENT el;
				if (j==1)
					type = TYPE_BITMAP;
				else if (j==2)
					type = TYPE_PALETTE;
				else if (j==3)
					type = TYPE_MOSAIQUE;
				else if (j==4)
					type = TYPE_MAP;
				else if (j==5)
					type = TYPE_LISTE;

				el.type = type;
				if (dossierParDefaut[type][0])		{
					elements[i].type |= DANS_DOSSIER;
					strcpy(el.dossier, dossierParDefaut[type]);
				}
				strcpy(el.nom_fichier,CreeNomRelatif(fichier));
				strcpy(el.nom_base, "");
				faitNomCourt(fichier, str);
				strcpy(el.nom_court, str);
				el.hti = NULL;
				AjouteAuProjet(el);
				return 0;
			}
		}
	}

/*	FILE *f;
	ELEMENT el;
	char str[1000], str2[31], *ptr, temp[1000], str3[1000];
	int i;

refait:
	f=fopen(fichier,"r");
	if (!f)
		return 0;
	fgets(temp,1000,f);
	temp[strlen(temp)-1]=0;
	fgets(str,1000,f);
	if (strcmp(str,"//Converti avec GBA Graphics par Brnni\n"))		{
		faitNomCourt(fichier,str2);
		strcpy(gblcMap,fichier);
		fclose(f);
		if (DialogBox(hInst,(LPCTSTR)IDD_IMPORTER,gblHDlg,(DLGPROC)DlgImport)==IDOK)
			goto refait;
		else
			return 0;
	}
	fgets(str,1000,f);
	strcpy(el.nom_base,temp+2);
	strcpy(el.nom_fichier,CreeNomRelatif(fichier));
	faitNomCourt(fichier,el.nom_court);
	if (!strcmp(str,"//Palette\n"))		{
		el.type=TYPE_PALETTE;
		AjouteAuProjet(el);
	}
	else if (!strncmp(str,"//Bitmap 8 bits (",17))		{
		el.type=TYPE_BITMAP8;
		AjouteAuProjet(el);
		str[strlen(str)-3]=0;
		LitNomBase(str+18,temp);
		strcpy(el.nom_base,temp);
		strcpy(el.nom_fichier,CreeNomRelatif(str+18));
		faitNomCourt(el.nom_fichier,el.nom_court);
		el.type=TYPE_PALETTE;
		AjouteAuProjet(el);
	}
	else if (!strcmp(str,"//Bitmap 16 bits\n"))		{
		el.type=TYPE_BITMAP16;
		AjouteAuProjet(el);
	}
	else if (!strncmp(str,"//Map (",5))		{
		el.type=TYPE_CARTE;
		AjouteAuProjet(el);

		ptr=str+8;
		i=0;
		while(*ptr!='\"' && *ptr)		{
			temp[i++]=*ptr++;
		}
		temp[i]=0;
		LitNomBase(temp,str3);
		strcpy(el.nom_base,str3);
		strcpy(el.nom_fichier,CreeNomRelatif(temp));
		faitNomCourt(el.nom_fichier,el.nom_court);
		el.type=TYPE_PALETTE;
		AjouteAuProjet(el);

		ptr+=3;
		i=0;
		while(*ptr!='\"' && *ptr)		{
			temp[i++]=*ptr++;
		}
		temp[i]=0;
		LitNomBase(temp,str3);
		strcpy(el.nom_base,str3);
		strcpy(el.nom_fichier,CreeNomRelatif(temp));
		faitNomCourt(el.nom_fichier,el.nom_court);
		el.type=TYPE_MOSAIQUE;
		AjouteAuProjet(el);
	}
	else if (!strncmp(str,"//Tileset 16 bits (",19) || !strncmp(str,"//Tileset 8 bits (",18) || !strncmp(str,"//Tileset 4 bits (",18))		{
		char *ptr;
		el.type=TYPE_MOSAIQUE;
		AjouteAuProjet(el);
		str[strlen(str)-3]=0;
		ptr=str;
		while(*ptr!='(' && *ptr)
			*ptr++;
		LitNomBase(ptr+1,temp);
		strcpy(el.nom_base,temp);
		strcpy(el.nom_fichier,CreeNomRelatif(ptr+1));
		faitNomCourt(el.nom_fichier,el.nom_court);
		el.type=TYPE_PALETTE;
		AjouteAuProjet(el);
	}
	else if (!strncmp(str,"//Liste (",9))		{
		el.type=TYPE_LISTE;
		AjouteAuProjet(el);
		str[strlen(str)-3]=0;
		LitNomBase(str+10,temp);
		strcpy(el.nom_base,temp);
		strcpy(el.nom_fichier,CreeNomRelatif(str+10));
		faitNomCourt(el.nom_fichier,el.nom_court);
		el.type=TYPE_MOSAIQUE;
		AjouteAuProjet(el);
	}
	else	{
//		Debug(str);
		MessageBox(gblHDlg,"Bien que l'en-tte spcifie que ce fichier a t fait avec GBA Graphics, le type d'objet qu'il contient semble inconnu.",fichier,MB_ICONERROR);
		fclose(f);
		return 0;
	}
	fclose(f);*/
	return 1;
}

