#include "main.h"

#include "supportDpi.h"
#include "plugin-gba.hpp"
#include "plugin-gbc.hpp"

/*

	LISTE DES PLATEFORMES
*/
PLATFORM_INFO plateformes[]=			{
	{
		"Game Boy Advance, Nintendo",
		TRUE,
		4, 1, pluginGBA::pixelFormatListGBA,
		256,
		{
			{~0, 0, 32, 0, 32, 0, 32},
			//En mode 16 bits, on a: tile[0-9], mh[10], mv[11], palette[12-15]
			{0x3ff, 0xf000, 12, 0x400, 10, 0x800, 11},
			{~0, 0, 32, 0, 32, 0, 32}
		},
		pluginGBA::fctInitGBA, pluginGBA::fctPersonnalisationGBA, pluginGBA::fctSauvegardeGBA, NULL, pluginGBA::fctInitConversionGBA,
		pluginGBA::fctLitPaletteGBA, pluginGBA::fctLitTilesetGBA, pluginGBA::fctLitMapGBA, pluginGBA::fctLitListeGBA, pluginGBA::fctLitBitmapGBA,
		pluginGBA::fctEcritPaletteGBA, pluginGBA::fctEcritTilesetGBA, pluginGBA::fctEcritMapGBA, pluginGBA::fctEcritListeGBA, pluginGBA::fctEcritBitmapGBA,
	},

	{
		"Game Boy, Nintendo",
		TRUE,
		2, 0, pluginGBC::pixelFormatList,
		256,
		{
			{~0, 0, 32, 0, 32, 0, 32},
			//En mode 16 bits, on a: tile[0-9], mh[10], mv[11], palette[12-15]
			{0x3ff, 0xf000, 12, 0x400, 10, 0x800, 11},
			{~0, 0, 32, 0, 32, 0, 32}
		},
		pluginGBC::fctInit, pluginGBC::fctPersonnalisation, pluginGBC::fctSauvegarde, NULL, pluginGBC::fctInitConversion,
		pluginGBC::fctLitPalette, pluginGBC::fctLitTileset, pluginGBC::fctLitMap, pluginGBC::fctLitListe, pluginGBC::fctLitBitmap,
		pluginGBC::fctEcritPalette, pluginGBC::fctEcritTileset, pluginGBC::fctEcritMap, pluginGBC::fctEcritListe, pluginGBC::fctEcritBitmap,
	},
};

int nbrePlateformes = sizeof(plateformes)/sizeof(plateformes[0]);
