#include <math.h>
#include <commctrl.h>

extern HINSTANCE hInst;
typedef struct {
	unsigned char r, v, b, a;
} PALETTE;

//Indique un "Chargement en cours..." pour tout et pour (vraiment) rien.
//Dcommentez cette ligne si a peut vous faire triper :)
//#define INDIQUE_TRAVAIL
#define INDIQUE_PATIENTER

extern HWND hChargement, gblHDlg;

enum typesElement {TYPE_MAP=1,TYPE_CARTE=1,TYPE_SPRITE,TYPE_MOSAIQUE,TYPE_BITMAP,TYPE_FILLER2,TYPE_PALETTE,TYPE_LISTE};
#define TYPE_DOSSIER 0x4000
#define DANS_DOSSIER 0x8000
#define MASQUE_TYPE 0x3fff

#define FichierExiste(f)		((GetFileAttributes(f)==0xffffffff)?(0):(1))

//Structure d'un lment du projet
typedef struct		{
	HTREEITEM hti;					//L'lment dans l'arbre du projet
	char nom_base[MAX_PATH];		//Nom du fichier de base (avant conversion)
	char nom_fichier[MAX_PATH];		//Nom du fichier  utiliser
	char nom_court[31];				//Nom personnalis de l'lment
	char dossier[31];
/*	char nom_map[MAX_PATH];			//Nom de la map associ (si le cas)
	char nom_palette[MAX_PATH];		//Optionnel: s'il y a une palette associe
	char nom_tileset[MAX_PATH];		//Optionnel: s'il y a un jeu de mosaques associ*/
	int type;						//Type de l'lment
} ELEMENT;

#define MAXEL 1000
extern int nbreElements;
extern int gParam;
extern ELEMENT *elements;
extern char cTitre[1000];

//La variable "selection" contiendra une de ces valeurs pour indiquer l'tat de l'appli.
enum Selections {SEL_AUCUNE,SEL_CARTES,SEL_MOSAIQUES,SEL_LISTES,SEL_BITMAPS,
	SEL_CARTES512,SEL_CARTES1024,SEL_BITMAP,
	SEL_CARTE,SEL_PALETTES,SEL_PALETTE,SEL_MOSAIQUE,SEL_LISTE,SEL_NULL
};

//Handle vers les lments de l'arbre
extern HANDLE htvMosaiques, htvBitmaps, htvCartes, htvPalettes, htvImporter, htvListes;

//Variables Windows diverses
extern HFONT hFonte, hfCourier;
extern HDC hdcImage1, hdcImage3;
extern HBITMAP hbm1, hbm2, hbm4;
extern HWND hTV;
extern int selection;

//Handle vers les boutons "dynamiques"
#define NBRE_BOUTONS_DYNA 34
extern HWND hBoutonsDyna[NBRE_BOUTONS_DYNA];
#define hBoutonOk hBoutonsDyna[0]
#define hBoutonConfigure hBoutonsDyna[1]
#define hTexte01 hBoutonsDyna[2]
#define hBoutonParcourir hBoutonsDyna[3]
#define hStatic01 hBoutonsDyna[4]
#define hRadioTexte hBoutonsDyna[5]
#define hRadioRotation hBoutonsDyna[6]
#define hStatic02 hBoutonsDyna[7]
#define hTexte02 hBoutonsDyna[8]
#define hBoutonParcourir2 hBoutonsDyna[9]
#define hBoutonParcourir3 hBoutonsDyna[10]
#define hTexte03 hBoutonsDyna[11]
#define hStatic03 hBoutonsDyna[12]
#define hBoutonParcourir4 hBoutonsDyna[13]
#define hTexte04 hBoutonsDyna[14]
#define hStatic04 hBoutonsDyna[15]
#define hComboPalette hBoutonsDyna[16]
#define hCheckPal hBoutonsDyna[17]
#define hComboTileset hBoutonsDyna[18]
#define hCheckTileset hBoutonsDyna[19]
#define hCheckMap hBoutonsDyna[20]
#define hTexte05 hBoutonsDyna[21]
#define hStatic05 hBoutonsDyna[22]
#define hStatic06 hBoutonsDyna[23]
#define hComboTaille hBoutonsDyna[24]
#define hCheckOptimise hBoutonsDyna[25]
#define hComboTiles hBoutonsDyna[26]
#define hComboMap hBoutonsDyna[27]
#define hCheck16 hBoutonsDyna[28]
#define hComboTileBits hBoutonsDyna[29]
#define hComboTypeMap hBoutonsDyna[30]
#define hStatic07 hBoutonsDyna[31]
#define hBoutonReinit hBoutonsDyna[32]
#define hComboModeles hBoutonsDyna[33]

extern int nElementSelectionne;

//Vive les variables globales! :D
//(si vous me cherchez je suis dj dehors...)
extern int tailleX, tailleY;						//Dimensions de l'image
extern int tailleVoulueX, tailleVoulueY;			//Ca se passe de commentaires...
extern int tileX, tileY, taille, vraieTaille;
extern int scrollX, scrollY;
extern int cFond, blocBase;
extern char str[1000];
extern int ModeTexte;
extern BOOL optimisePal, optimiseTil, messages;
extern int utilMemoire;
extern int masqueInvisible;
extern int editeurOuvert;
extern int lastComboTileSizeValue;

/*
	DEFINITIONS DE L'EDITEUR
*/
extern int MODE_TEXTE;
extern int nMaps, combleZeros, fondTransparent, hexAlphaFonds, gfxAlphaFonds, AlphaPremPlan;
extern BOOL proprePalette;

/*
	FIN DES DEFINITIONS DE L'EDITEUR
*/
extern HWND hArbre;

//Nombre max de tiles
//#define TILEMAX 4097
#define TILEMAX 8193
#define NOMBRE_BITS 32
#define TAILLE_MAX_CHAINES_GRID 32

//Oui je sais c'est terriblement sale...
extern char gblcPal[MAX_PATH], gblcMap[MAX_PATH], gblcTil[MAX_PATH], gblcNomC[MAX_PATH];

extern int notification;

enum types_objets {	TYPE_TREEVIEW,TYPE_EDIT,TYPE_CHECKBOX,TYPE_RADIO,TYPE_COMBOBOX,TYPE_FONCTION,
					TYPE_ENTIER,TYPE_CHAINE,TYPE_REEL,TYPE_OBJET,TYPE_TABLEAU,TYPE_ENTIERDIRECT,
					TYPE_BOOLEEN, TYPE_SPECIAL};

extern const char *types_fr[];
extern const char *types_en[];
extern const char *types_all[];
extern const int types_numberof;

extern char fichierConfigAOuvrir[MAX_PATH];
#define BASEMENU 16384
extern int nbreProcedures;

#define TAILLE_MAX_CHAINES 512

//N'accdez pas directement  ces variables avec le script! Utilisez "convert.couleurtransparente=rgb(1,2,3)"  la place...
extern int rougeMasque, vertMasque, bleuMasque, rougeZero, vertZero, bleuZero;
extern int popUpInfos, tempsPopUp, fondHexa, retourScript;
extern int nuances;
extern char *sectionDonnees;
extern int tailleSectionDonnees, utilMaxCoul, emul_gba, sys_emul_gba;
extern HMENU hProcedures;

enum sdTypes {SDT_AUCUN=0,SDT_ENTIER=1,SDT_BRUT=2};

#define MAX_SD 100
#define TAILLE_MAX_NOM_SD 32
#define TAILLE_MAX_VALEUR_DEFAUT_SD 16
typedef struct	{
//	int sdNumParams=0;
	char sdNomModele[TAILLE_MAX_CHAINES];
	int sdNumParams;
	int sdTypeParam[MAX_SD];
	int sdTaillesParam[MAX_SD];
	char sdNomsParams[MAX_SD][TAILLE_MAX_NOM_SD];
	char sdTexteDefaut[MAX_SD][TAILLE_MAX_VALEUR_DEFAUT_SD];
	int sizeofSD;
} SD_PARAMS;

#define MAX_SD_MODELES 10
extern SD_PARAMS *sdParams;
extern int sdNbreModeles;
extern int gblSdModele;
extern char gblTypeSd[TAILLE_MAX_CHAINES];

#define _SD(x,y) ((SPRITE_DEF*)((char*)(x).sd+(y)*((x).sizeofSD)))

typedef	struct	{
	int x,y;
	int type;
	char params[];
} SPRITE_DEF;

typedef struct		{
	int sizeofSD;
	SPRITE_DEF *sd;
	int nbSprites;
} SPRITE_LISTE;

#define SUPPORT_MAPS_32_BITS

#ifdef SUPPORT_MAPS_32_BITS
	typedef unsigned long MAP;
#else
	typedef unsigned short MAP;
#endif

#define NB_MAX_USERDATA 8

typedef struct		{
	int tailleX;
	int tailleY;
	int tileX;
	int tileY;
	int tileBaseX, tileBaseY;
	int commonTileX, commonTileY;
	int taille;
	int gblNbCouleurs;
	int blocBase;
	int gfxmask;
	int ModeTexte;
	int curCMode;
	double parallaxeX, parallaxeY;
	unsigned long *gblPal;
	unsigned long *gblMotifs;
	MAP *gblMap;
	char gblcPal[MAX_PATH], gblcMap[MAX_PATH], gblcTil[MAX_PATH], gblcNomC[MAX_PATH];
	int gblTypeMap;
	SPRITE_LISTE gblSpriteListe;
	int grilleX, grilleY;
	int bTil32Bits;
	SD_PARAMS *gblSdParam;
	char gblTypeSd[TAILLE_MAX_CHAINES];
	char gblUserData[NB_MAX_USERDATA][TAILLE_MAX_CHAINES];
	int emul_gba;
} PARAM;

extern SPRITE_LISTE gblSpriteListe;
extern char gblUserData[NB_MAX_USERDATA][TAILLE_MAX_CHAINES];

extern unsigned char tblCoulR[256], tblCoulV[256], tblCoulB[256];
extern double GammaR, GammaV, GammaB, AdditionR, AdditionV, AdditionB, AlphaR, AlphaV, AlphaB;
extern int nuancesAvant, troncEntier;

extern int modeConversion;
extern int gblCurSection;

extern int couleurGrille, transGrille;
extern int masqueZero, bitsMasqueZero;

extern char (*nomsBits)[NOMBRE_BITS][TAILLE_MAX_CHAINES_GRID];
extern char (*bitsActives)[NOMBRE_BITS];
extern HWND hDlgBits;

#define MAX_FONDS 20
#define MAX_COND 20

extern unsigned short n_conditions[MAX_FONDS];
typedef struct		{
	MAP debut, fin;
	int difference;
	unsigned char exact;
} S_CONDITION;
extern S_CONDITION s_conditions[MAX_FONDS][MAX_COND];

//Variables spciales. Ces variables sont modifiables  l'aide d'un fichier texte.
extern int gfxmask;
extern char *nom_format, format_appliquer[TAILLE_MAX_CHAINES], modele_appliquer[TAILLE_MAX_CHAINES];

extern unsigned int DIMENSION_MAX;					//Taille max des aperus: 32 Mo

extern char chneNomVarTil[TAILLE_MAX_CHAINES], chneNomVarMap[TAILLE_MAX_CHAINES], chneNomVarPal[TAILLE_MAX_CHAINES], chneNomVarBmp[TAILLE_MAX_CHAINES];
extern int editTiming;
extern int precisionMax;

extern int bGdiPlusEnabled, bGdiPlusDemarre;

int GDIPLUS_DrawImage (const char *fichier, int *dx, int *dy);
LRESULT CALLBACK ProcOptions(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);
LRESULT CALLBACK ProcOptions2(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);
LRESULT CALLBACK ProcOptions3(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);
LRESULT CALLBACK ProcOptions4(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);
void Alloc_Bits();
void Dealloc_Bits();
BOOL IsAllocated_Bits();
extern int NB_MAX_ELE_LISTE;

extern const char *chneNomsDefautBits[];

extern void OptionsParams_RedessCombo(HWND hDlg, int dlgItem);

extern int sauverParamsMaps, sauverParamsMapsAutomatiquement;
extern char fichierProjet[MAX_PATH];
extern int gblErrorFlag;			//Une erreur s'est produite?
extern int bEtatDupliqueElement;
extern int bRedimDIBOverflow, bImageTropGrosse;
extern int bChoisitAutoFormat;
extern int g_majListeEnCours;

extern int EffaceVersCorbeille(char *nom_fichier);
extern void EcritParamsStandard(int fond);
extern void ChoisitFormatFichierExtension(const char *nom);

#define MAX_S32 0x7fffffff
extern char *GetCopieChaine(char *dst, char *chne, unsigned long tailleMax);

extern LRESULT CALLBACK DlgAttributsElement(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);
extern void GetNomFichierConfigMap(char *nom_fichier, char *nom_base);

#define FenInvisible()
#define FenVisible()
#define FenMAJ() RedrawWindow(hDlg,NULL,NULL,RDW_ERASE|RDW_INVALIDATE);

#define ABS(x) (((x)<0)?(-(x)):((x)))
#define max(x, y)		(((x) > (y)) ? (x) : (y))
#define min(x, y)		(((x) < (y)) ? (x) : (y))

#define NBRE_PTRS_FORMATS 6

//NOUVELLE OPTION -> arrondit la slection aux tileX/tileY pour le multiplan
extern int bArronditSelection;

extern int dejaAvertiElementDossierBase;
extern int bInviteScriptContenuSauve;
extern char cInitialDir[MAX_PATH];
extern int bSpecimenAffiche;

#define UM_CHANGEMAP (WM_USER+2)
#define UM_REFRESH (WM_USER+3)

extern int gbatilmask;

/*
	PLUGINS
*/
typedef struct			{
	int pixelWidth;				//2: 16 bits, 4: 32 bits
	int rwidth, vwidth, bwidth, awidth;		//En bits
} PF_PIXELFORMAT;

typedef struct			{
	int tileMask;
	int paletteMask, paletteShift;
	int hMirrorMask, hMirrorShift;
	int vMirrorMask, vMirrorShift;
} PF_MAPFORMATINFO;

typedef struct			{
	char *name;
	char *raccourci;			//cmode="..." en ligne de commande
	int ID;
	BOOL bUsePalettes;			//Ex: le 8 bits utilise les palettes, le 32 pas. Si on met 2, mode GBA possible (16 palettes, bits 12-15 tile map indique quelle palette).
	BOOL bUseColorKey;			//Color keying
	BOOL bAllowUnoptimizedPal;	//Permet de faire des palettes arrondies (par exemple toujours 16 couleurs)
	int nbCouleursMax;			//Nombre de couleurs max (si bUsePalette)
	int nColorsPerPalette;		//Nombre de couleurs par palette (si palettes multiples)
	int nbCouleursDefaut;		//Nombre de couleurs par dfaut (si bUsePalette)
	BOOL bFirstColorTransparent;	//En mode palette, la premire couleur est transparente (toujours TRUE pour le moment)
	//Attention, cette fonction ne reoit pas le paletteformat slectionn en paramtre! Il faut donc spcifier des fonctions diffrentes pour chaque paletteformat si a change qqch.
	void (*fctConvertColorAfter)(BYTE*,BYTE*,BYTE*);
	PF_PIXELFORMAT *pixel;		//Pixelformat des couleurs de la palette
} PF_PALETTEFORMAT;

typedef struct PLATFORM_INFO			{
	char *pName;				//Nom de la plate-forme (ex. DS, TI89, ...)
	BOOL useUnoptimizedMapFormat;
	int pfNumber;				//Nombre de pixelformats
	int pfDefaut;
	PF_PALETTEFORMAT *pfList;	//Liste des pixelformats grs par la console
	int nbMaxColors;			//Pr-allocation...
	PF_MAPFORMATINFO mf[3];		//Formats de map
	//Flags: 0=init, 1=switch vers ce plugin, 2=switch vers un autre plugin
	void (*fctPluginInit)(int, PLATFORM_INFO*);
	//Flags: 0x1000=configurer depuis 'plateformes', 0x2000=depuis la conversion, |0x8000=query si le bouton configure existe, + selection courante
	int (*fctPluginConfigure)(int, int*);
	//Sauvegarde des paramtres. Flags: 0=sauvegarde des paramtres de fin
	void (*fctPluginSave)(int, FILE*);
	//Pas utilis pour le moment
	void (*fctPluginUnload)(int);
	//flags: 0=dbut de 'conv', 1=parsing conv termin (avant conversion), 2=avant conversion depuis l'cran
	int (*fctInitConversion)(int, void*);
	//Flags: voir l'enum plus bas
	int (*fctPaletteRead)(int, int*, unsigned char*, ELEMENT*);
	int (*fctTilesetRead)(int, int*, unsigned char*, unsigned long**, ELEMENT*, int);
	int (*fctMapRead)(int, int*, unsigned char*, unsigned long**, MAP **, ELEMENT*);
	int (*fctListRead)(int, int*, unsigned char*, unsigned long**, MAP **, ELEMENT*);
	int (*fctBitmapRead)(int, int*, unsigned char*, unsigned long**, ELEMENT*, int);
	int (*fctPaletteWrite)(int, int*, ELEMENT*, unsigned char*, int);
	int (*fctTilesetWrite)(int, int*, ELEMENT*, ELEMENT*, unsigned long*, unsigned char *, int, int, int);
	int (*fctMapWrite)(int, int*, ELEMENT*, ELEMENT*, ELEMENT*, unsigned long*, int, int, int, int);
	int (*fctListWrite)(int, int*, ELEMENT*, ELEMENT*, ELEMENT*, SPRITE_LISTE*, char*, void*, SD_PARAMS*, int, int);
	int (*fctBitmapWrite)(int, int*, ELEMENT*, ELEMENT*, unsigned long *, unsigned char *, int, int);
} PLATFORM_INFO;

extern PLATFORM_INFO *curPF;
extern int curCMode;

/*
	Flags:
	Bits 0-1
		PL_STD: Normal, nouvel objet sans paramtre sup.
		PL_OPEN: L'objet a t ouvert dans un diteur et est sauv
		PL_EMPTY: L'objet est vide (nouvel objet)
*/
enum flags		{
	PL_STD=0,
	PL_OPEN=1,
	PL_EMPTY=2,
};

/*
	FIN PLUGINS
*/
extern int MULTR, MULTV, MULTB, gblMaskAlphaColor;
extern int gblGdipPaletteCount;
extern unsigned long *gblGdipPaletteEntries;
extern PLATFORM_INFO plateformes[];
extern int nbrePlateformes;

//Mosaques, cartes, palettes, etc.
#define nbreDossiersBase 12
#define nbreDossiersBaseLang 6
#define nbreMaxDossiersDefaut 12
extern char repertoire[TAILLE_MAX_CHAINES], dossierParDefaut[nbreMaxDossiersDefaut][TAILLE_MAX_CHAINES], fichierAide[TAILLE_MAX_CHAINES];

typedef unsigned char u8;
typedef signed char s8;
typedef unsigned short u16;
typedef signed short s16;
typedef unsigned long u32;
typedef signed long s32;

#define RGBA_BGRA(c)		(((c)&0xff000000) | ((c)&0x0000ff00) | (((c)&0xff0000)>>16) | ((c&0xff)<<16))
#define RGBA(r, g ,b, a)	((DWORD) (((BYTE) (r) | \
    ((WORD) (BYTE)(g) << 8)) | \
    ((DWORD) (BYTE) (b) << 16) | \
    (((DWORD) (BYTE) (a)) << 24)))


extern HWND hCtlBits[NOMBRE_BITS];
extern int bBitsMustUpdate;

#define numberof(xx) (sizeof(xx)/sizeof((xx)[0])) 
extern int gnTilesetWidth, gnPaletteWidth;
extern int gblNbCouleurs, gbPremTileTransparente;

//Tient compte (minimement) de l'alpha juste pour diffrencier la couleur exacte
#define COLORPALDIFF() ABS(bleu-palette[4*i])*ABS(bleu-palette[4*i])+ABS(vert-palette[4*i+1])*ABS(vert-palette[4*i+1])+ABS(rouge-palette[4*i+2])*ABS(rouge-palette[4*i+2])+((alpha!=palette[4*i+3])?(1):(0))
#define XCOLORPALDIFF() ABS(bleu-palette[4*i+2])*ABS(bleu-palette[4*i+2])+ABS(vert-palette[4*i+1])*ABS(vert-palette[4*i+1])+ABS(rouge-palette[4*i])*ABS(rouge-palette[4*i])+((alpha!=palette[4*i+3])?(1):(0))

#define COLOR_ADD (curPF->pfList[curCMode].bFirstColorTransparent?1:0)

extern char cExePath[MAX_PATH];

extern SPRITE_DEF *gblCurrentSprite;
