//Active le tampon Annuler
#define UNDO_BUFFER_ACTIF
//Nombre maximal d'oprations annulables. La mmoire va tre calcule en fonction de a.
#define OPMAX 100000
extern int MAXUNDORAM;
//Calcule la mmoire  utiliser de manire  pouvoir annuler OPMAX oprations.
#define CALC_MEMOIRE_UNDO
//Si CALC_MEMOIRE_UNDO est inactif, on alloue un bloc de taille fixe. Le nombre d'
//oprations qui seront annulables dpendra de la taille de la carte...
//#define ALLOC_UNDO_FIXE 20000000

//Grandeurs/position souris tileset
extern int gdrXt, tposX, tposY;
extern int gdrXtc;
extern int basegdrXtc;
extern int bSizingTileset;
extern int commonTileX, commonTileY;
extern POINT pSizingPos;
extern SD_PARAMS *gblSdParam;
extern int movedSinceClick;

#define LIEN_INVALIDE 255
#define TAILLE_BLOCCOPIE (1024*1024*sizeof(MAP))
#define MAXBLOCS 5

extern int modeArrondi;

#define ArronditX(val)	{ if (modeArrondi) val&=~(grilleX-1); }
#define ArronditHautX(val)	{ if (modeArrondi && val&(grilleX-1)) val=((val)&~(grilleX-1))+grilleX; }
#define ArronditY(val)	{ if (modeArrondi) val&=~(grilleY-1); }
#define ArronditHautY(val)	{ if (modeArrondi && val&(grilleY-1)) val=((val)&~(grilleY-1))+grilleY; }
#define ArronditTileX(val)	{ val&=~(tileX-1); }
#define ArronditTileY(val)	{ val&=~(tileY-1); }
#define ArronditMoyX(val)	{ if (modeArrondi) val=(val+(grilleX>>1))&~(grilleX-1); }
#define ArronditMoyY(val)	{ if (modeArrondi) val=(val+(grilleX>>1))&~(grilleX-1); }

extern int listeSelection, selectionPointee, typeCoordCopie, CopieXprecise, CopieYprecise;
extern int mouseOffsetX, mouseOffsetY;
extern int grilleX, grilleY;

#define MAX_LST_SEL_MUL 1024
extern int lstSelMulNbre;					//Nombre de slections
extern int lstSelMulListe[MAX_LST_SEL_MUL];
extern SPRITE_LISTE lstCopyBuf;				//Copier/Coller des listes


extern unsigned char liens[MAX_FONDS][MAX_FONDS];
extern int gdrX, gdrY, gdrXz, gdrYz, zoomPrecis, majRequise, grille;
extern double zoom;
extern int fenBits;

extern HWND gblHEdit;
extern const unsigned long Charset[80*3];

void DessNombre (int x,int y,int nombre,int coul);

void CreeBarresDefil(HWND hDlg);
extern unsigned long *gblPal;
extern unsigned long *gblMotifs;
extern MAP *gblMap;
extern int num_edit, tileBaseX, tileBaseY;
extern int fond_actif[MAX_FONDS]; //, fond_editable[MAX_FONDS];
extern int fond_a_sauver[MAX_FONDS];
extern ELEMENT *ele_fond[MAX_FONDS];
extern PARAM params[MAX_FONDS];
extern int fondActif;
extern double parallaxeX, parallaxeY;
extern int gblTypeMap;

extern int motifChoisi, scrollMotifs, selMap, selCopie;
extern int posX, posY, posDepartX, posDepartY, posDepartAbsolueX, posDepartAbsolueY, rposX, rposY;
extern int transparenceTileset;
extern int derTickCount, diffTickCount;
extern MAP (*blocCopie)[1024];
extern unsigned char blocCopieOk[MAXBLOCS+1];
extern SPRITE_LISTE *listeCopie;

extern int CopieX, CopieY, DebutX, DebutY, FinX, FinY;
extern int profondeurSel, selectionBase;

extern int tamX, tamY;

#define Stocke(param)		(p->param=param)
#define Charge(param)		(param=p->param)

#define AccesMap(p,x,y)		(p->gblMap[p->tailleX*(y)+(x)])

void DessineEcran(int posX, int posY);
void SauveAnnulerFond(int fond);
void SauveAnnulerListe(int fond);
#define GblMap(x,y)	(gblMap[tamX*(y)+(x)])

extern HWND hScroll1, hScroll2, hScroll3, hBtOk, hBtAnnuler, hBtRefaire, hStatut, hBtOpts, hLigneRedim;
LRESULT CALLBACK Fond(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);
void SauveAnnuler();

typedef struct		{
	MAP *undoBuffer;
	int modifie;
	int nOperations, nTotalOperations;
	unsigned long MAXMEM;
	int dernierEnreg;
} UNDO_BUFFER;

extern UNDO_BUFFER undos[MAX_FONDS];

int CopieBlocsListe(int fond, int buffer, int dX, int dY, int fX, int fY);
int CopieBlocsFond(int fond, int buffer, int dX, int dY, int fX, int fY);
void CopieBlocs(int xx0, int yy0, int xx1, int yy1, int unPlan);
void AjouteObjetListe(int fond, int x, int y, int type);
void ColleBlocsListe(int fond, int buffer, int dX, int dY, int fX, int fY);
void ColleBlocsFond(int fond, int buffer, int dX, int dY, int fX, int fY);
void AjouteObjetListe(int fond, int x, int y, int type);
void ColleBlocs(int xx0, int yy0, int xx1, int yy1, int unPlan);
void EcritParamsStandard(int fond);
void LitParam(PARAM *p);
void EcritParam(PARAM *p);
void MAJBoutonsAnnuler();
void MajTitre();
//Sauve le tampon annuler pour un des fonds particuliers
void SauveAnnulerFond(int fond);
void SauveAnnuler();
void AnnulerListe(int fond);
void AnnulerFond(int fond);
void Annuler();
void RefaireListe(int fond);
void RefaireFond(int fond);
void Refaire();
void VideUndoBufferFond(int fond);
void VideUndoBuffer();

int RelaToAbsX(int absolue);
int RelaToAbsY(int absolue);
int AbsToRelaX(int relative);
int AbsToRelaY(int relative);

void DessineTilesetScrl(unsigned long *palette,unsigned long *motifs, int scrlY, PARAM *p);
void DessineMapEdit(unsigned long *palette, unsigned long *motifs, MAP *map, int scrlX, int scrlY, int transparence, int fond, int forceMapDraw=0);
void analyseChaineTypes(FILE *f, char *chneFormat, SPRITE_DEF *sd);
int EcritListeFond(int fond);
int EcritMapFond(int fond);
void EcritMap();
void BougeTruc(HWND hWndTruc, int x, int y);

enum {OM_FOND=1, OM_FMTTILES, OM_PROPREPALETTE, OM_HEXA, OM_ZERO, OM_TRANSPARENT, OM_OPERATION, OM_DEPLACER, OM_OPTIONS, OM_FONDHEXA, OM_SPECIMEN, OM_LIER, OM_BITS};

int MenuEditeur(HWND hWnd);
int AjouteListe(int nElement);
int AjouteFond(int nElement);
int AjouteListe(int nElement);

#define WM_MOUSEWHEEL                   0x020A

void MAJValeur(HWND hDlg);
void VerifieSiSourisSortDesBords();
void ControleScrollY();
void ControleScrollX();
void EffaceElementListe(int fond, int element);
unsigned long GetMaxMotif(int modetexte);
LRESULT CALLBACK DlgEditeur(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);
void CreeBarresDefil(HWND hDlg);
void *BufferActif();
//Positions relatives
void DessineEcran(int posX, int posY);
LRESULT CALLBACK DlgProprietesFond(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);
LRESULT CALLBACK ProcOptions(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);
LRESULT CALLBACK ProcOptions2(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);
LRESULT CALLBACK ProcOptions3(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);
LRESULT CALLBACK DlgProprietesFondGeneral(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);
LRESULT CALLBACK DlgProprietesFondAvance(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);
LRESULT CALLBACK DlgProprietesFondConditions(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);
LRESULT CALLBACK DlgProprietesFondBits(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);
LRESULT CALLBACK ProcOptions4(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);
LRESULT CALLBACK Fond(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);

#define MAX_CONDITIONS 10

// "Handler" pour la bote de dialogue
LRESULT CALLBACK DlgOperations(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);
LRESULT CALLBACK DlgDeplace(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);

#define mat_temp(x,y)		(blocTemp[y*xFin+x])
enum infos_disponibles {ID_DEPART, ID_TAILLE, ID_DEPLACEMENT};
