extern char *bmp_declaration;
extern char *bmp_refdefine;
extern int bmp_nbChaqueX;
extern char *bmp_chaque_x;
extern char *bmp_chaque_valeur_1;
extern char *bmp_chaque_valeur_2;
extern char *bmp_chaque_valeur_3;
extern char *bmp_fin_ligne;
extern char *bmp_fin_declaration;
extern char *bmp_def_ext;

extern char *pal_declaration;
extern char *pal_refdefine;
extern int pal_nbChaqueX;
extern char *pal_chaque_x;
extern char *pal_chaque_valeur_1;
extern char *pal_chaque_valeur_2;
extern char *pal_chaque_valeur_3;
extern char *pal_fin_ligne;
extern char *pal_fin_declaration;
extern char *pal_def_ext;

extern char *til_declaration;
extern char *til_refdefine;
extern int til_nbChaqueX;
extern char *til_chaque_x;
extern char *til_chaque_valeur_1;
extern char *til_chaque_valeur_2;
extern char *til_chaque_valeur_3;
extern char *til_fin_ligne;
extern char *til_fin_declaration;
extern char *til_def_ext;

extern char *map_declaration;
extern char *map_refdefine;
extern int map_nbChaqueX;
extern char *map_chaque_x;
extern char *map_chaque_valeur_1;
extern char *map_chaque_valeur_2;
extern char *map_chaque_valeur_3;
extern char *map_fin_ligne;
extern char *map_fin_declaration;
extern char *map_def_ext;

extern char *lst_declaration;
extern char *lst_refdefine;
extern int lst_nbChaqueX;
extern char *lst_chaque_x;
extern char lst_chaque_valeur_ok[1000];
extern char *lst_chaque_valeur;

extern char *lst_chaque_valeur_2;

extern char *lst_fin_ligne;
extern char *lst_fin_declaration;
extern char *lst_def_ext;

//divers
extern char *type8;
extern char *type16;
extern char *type32;
extern char *typesd;
extern char *defUserData[NB_MAX_USERDATA];

//Pour le recouvrement des donnes, essaie de retrouver son chemin si au moins 4 caractres sont identiques
extern int comparemin;
extern int bLectureNoError;

//1 Mo pour les dfinitions de format, je pense que ce sera suffisant ;)
#define MAX_DONNEES_FORMAT (1<<20)

extern int nb_sections;

typedef struct			{
	char 	nom[100];
	char *	donnees;

	char *	ptrs[NBRE_PTRS_FORMATS][10];

	char *	plus[6];

	char *	user[NB_MAX_USERDATA];
} FORMAT_SORTIE;

#define MAX_SECTIONS 100
extern FORMAT_SORTIE formats[MAX_SECTIONS];
extern FORMAT_SORTIE *ptr_formatActuel;

void DefFormat(FORMAT_SORTIE *f);
void myprintf(FILE *f, char *format, int valeur);
int ProchaineBalise(char *chaine, int i, char *balise, int longeur);
void LitFormat(FORMAT_SORTIE *f);

typedef struct			{
	char *nom;
	void *donnees;
	int type;
} SYMBOLE;

extern SYMBOLE symboles[];

enum {SYM_FILE=0, SYM_SIZEX, SYM_SIZEY,
	  SYM_SIZE, SYM_MEMORY, SYM_NAME,
	  SYM_LINK, SYM_TILEX, SYM_TILEY,
	  SYM_DEPTH, SYM_TYPE, SYM_NULL,
	  SYM_BITS, SYM_GFXMASK, SYM_TILEBASE,
	  SYM_MODEL};


//Traduction possible
extern SYMBOLE *symcopie;

void CopieSymTable();
void ReinitSymTable();
//1=lecture, 0=criture, 2=criture  partir de rien
void PrepareSymTable(int lecture);

#define InitSymbole(nSym,valeur)			symboles[nSym].donnees=(void*)(valeur)

void FEcritBinaire(FILE *dest, void *source, int nombre);
void LitSymboleEx(SYMBOLE *sym, FILE *f, int mode, int nb);
void LitSymbole(FILE *f, char *symbole);
void EcritBinaire(void *source, int *dest, int nombre);
static void EcritSymboleEx(SYMBOLE *sym, char *valeur, int mode, int nb);
char *EcritSymbole(char *symbole, char *valeur);
void EcritChaineFiltree(char *chaine, FILE *f, bool binaryMode = true);
//Taille du tampon temporaire pour les fichiers = 4 Mo
#define TAILLE_MAXIMUM (8<<20)

int GereIf(char *bloc, int j, char *variable);
int ProchaineBalise(char *chaine, int i, char *balise, int longeur);
int LitChaineFiltree(int j, char *bloc, char *chaine, int tailleMax);
int myscanf(char *base, char *format, int *valeur);
void EcritValeurBinaire(FILE *f, void *valeur, int nbreOctets);
void myprintf(FILE *f, char *format, int valeur);
int LitValeur(int j, char *bloc, char *chaine, FILE *f, int *valeur, int tailleMax);

#define SAUTE_ESPACES(ptr)		{ while(*ptr==' ' || *ptr=='	') ptr++; }
#define PROCHAIN_ESPACE(ptr)	{ while(*ptr!=' ' && *ptr!='	' && *ptr) ptr++; }

extern int section;
extern char *flux;

char *InscritFlux(char *chne);
char *InscritChaineFlux(char *chne);
void DefSection(char *nom);
void DefChamp(char *champ, char *texte);
void LitFiltre(FILE *f, char *nom_format);

#define SetFormat(dst,src)		(dst=src)
#define GetFormat(src,dst)		(dst=src)

void DefFormat(FORMAT_SORTIE *f);
FORMAT_SORTIE *GetNomFormat(char *nom);
void LitFormat(FORMAT_SORTIE *f);
