#define MAX_ONGLETS 10

class COnglets
{
public:
	int ongletsNombre;
	int onglets_bThemeActive;
	HBRUSH onglets_hBrush;
	HWND onglets_wndTab;
	HWND onglets_hDialogs[MAX_ONGLETS];

	COnglets()
	{
		ongletsNombre = 0;
		onglets_bThemeActive = 0;
		onglets_hBrush = NULL;
		onglets_wndTab = NULL;
	}

	LRESULT OnCtlColor(UINT /* uMsg */, WPARAM wParam, 
		 LPARAM lParam, BOOL& /* bHandled */) throw();

	void UpdateBackgroundBrush();
	void SizeDialog(HWND htab, HWND parhwnd, HWND hdlg);
	void onglets_AjouteOnglet(HWND hWndParent, char *nomOnglet, LPCTSTR dialogue, DLGPROC procedure);
	void onglets_AjouteOngletInvisible(HWND hWndParent, char *nomOnglet, LPCTSTR dialogue, DLGPROC procedure);
};

LRESULT CALLBACK DlgProprietesFondGeneral(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);
LRESULT CALLBACK DlgProprietesFondConditions(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);
LRESULT CALLBACK DlgProprietesFondBits(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);
LRESULT CALLBACK DlgOptionsGenerales(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);
LRESULT CALLBACK DlgOptionsParametres(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);
LRESULT CALLBACK DlgCouleurs2(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);
LRESULT CALLBACK DlgProprietesFondAvance(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);
LRESULT CALLBACK DlgProprietesFond(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);

LRESULT CALLBACK DlgOptionsGeneralesOnglets(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);
LRESULT CALLBACK DlgOptionsEditeurOnglets(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);

extern int gblNoFondProprietes;
LRESULT CALLBACK DlgOptionsFondOnglets(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);

void Float_VerifieDecimalesMax(char *str, int nbDecimales);
void Float_TronqueZeros(char *str);
void Memory_IntToString(char *str, __int64 val);
__int64 Memory_StringToInt(char *str);
int Memory_StringToInt32(char *str);
void ListeParams_AjouteElement(HWND hListe, char *texte, char *defaut, int type, int taille, int i);
void OptionsParams_EnableTaille(HWND hDlg);
void OptionsParams_RedessCombo(HWND hDlg, int dlgItem);
void SendParentRefreshCommand(HWND hDlg, LPARAM lParam);

