extern const char *cVersion;
extern const char *chneVersion;

typedef struct		{
	HTREEITEM hti;					//L'lment dans l'arbre du projet
	char nom_base[MAX_PATH];		//Nom du fichier de base (avant conversion)
	char nom_fichier[MAX_PATH];		//Nom du fichier  utiliser
	char nom_court[31];				//Nom personnalis de l'lment
/*	char nom_map[MAX_PATH];			//Nom de la map associ (si le cas)
	char nom_palette[MAX_PATH];		//Optionnel: s'il y a une palette associe
	char nom_tileset[MAX_PATH];		//Optionnel: s'il y a un jeu de mosaques associ*/
	int type;						//Type de l'lment
} ELEMENT_V02;

void DemandeSauveProjet(char *str);
int ChargeProjetVersion02(const char *nom_fichier);
char *GetBoolText(int valeur);
void SauveProjet(const char *nom_fichier);
void ChneMinusculeEx(char *str);
void ChneMinuscule(char *str);
void EnleveRetour(char *str);
#define SauteEspaces(ptr)		{ while(*ptr==' ' || *ptr=='	')  ptr++; }

FILE *ChercheSection(const char *nom_fichier, char *section1, char *section2 = NULL);
void ChargeAncienProjet(const char *nom_fichier);
void ChargeProjet(const char *nom_fichier);
