namespace PluginPropertiesWindow
{
	extern DLGPROC dpHandler;
	extern HWND hParent;
	extern int bExit;
	extern int sizeX, sizeY, nFlags;
	extern RECT rt;
	extern POINT pt;

	LRESULT CALLBACK Handler(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);
	void Create(int flags, int *cmode, int l, int h, DLGPROC handler);
}

// "Handler" pour la bote de dialogue
LRESULT CALLBACK DlgTiles(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);

// "Handler" pour la bote de dialogue
LRESULT CALLBACK DlgNouvDoss(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);
LRESULT CALLBACK DlgExec(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);
LRESULT CALLBACK DlgLier(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);
LRESULT CALLBACK DlgCouleurs(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);
LRESULT CALLBACK DlgFormats(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);
int fctPluginConfigureIsEnabled(PLATFORM_INFO *p, int flags, int cmode);
LRESULT CALLBACK DlgPlateformes(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);
void AppliqueMasque(int etat, unsigned long masque);

#define Set1Bit(controle,masque)		SendMessage(controle,BM_SETCHECK,(valeur&masque)?BST_CHECKED:BST_UNCHECKED,0);

void SetBits(int valeur);
void Alloc_Bits();
void Dealloc_Bits();
BOOL IsAllocated_Bits();
void BitsUpdate();
LRESULT CALLBACK DlgBits(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);
int GetParamOffset(int nParam);
char *ExtraitNomParam(char *nom);

LRESULT CALLBACK DlgAttributs(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);
LRESULT CALLBACK DlgAttributsElement(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);
LRESULT CALLBACK DlgOptionsTileset(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);
LRESULT CALLBACK DlgOptionsPalette(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);
