//IMPORTANT: dico.txt est maintenant le nouveau dico! dico_base.txt est le dico de base,
//donc copier dico_final en dico pour crer un nouveau dico_final clean.

// Traducteur WIN.cpp : Defines the entry point for the application.
//

#include "stdafx.h"
#include "resource.h"

#include <stdlib.h>
#include <stdio.h>
#include <string.h>

LRESULT CALLBACK DlgEntree(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);
LRESULT CALLBACK DlgPatienter(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);

char *fichiers[]=	{
	"Avec_GDIPlus.cpp",
	"avec_gdiplus.h",
	"Classes.cpp",
	"classes.h",
	"Config.cpp",
	"config.h",
	"Conversion.cpp",
	"conversion.h",
	"Definitions.cpp",
	"definitions.h",
	"EditeurConsole.cpp",
	"editeurConsole.h",
	"EditeurDeMap.cpp",
	"editeurDeMap.h",
	"Filtres.cpp",
	"filtres.h",
	"Fonctions.cpp",
	"fonctions.h",
	"Graphique.cpp",
	"graphique.h",
	"Import.cpp",
	"import.h",
	"Lecture.cpp",
	"lecture.h",
	"Listes.cpp",
	"listes.h",
	"Main.cpp",
	"main.h",
	"MapParams.cpp",
	"mapParams.h",
	"Onglets.cpp",
	"onglets.h",
	"plugin-gba.hpp",
	"plugin-gbc.hpp",
	"Plugins.cpp",
	"plugins.h",
	"reduction.hpp",
	"RefFile.cpp",
	"refFile.h",
	"resource.h",
	"Sauvegarde.cpp",
	"sauvegarde.h",
	"Specimen.cpp",
	"specimen.h",
	"supportDpi.h",
	"Tooltips.cpp",
	"tooltips.h",
	"UnFichierDePlus.cpp",
	"unFichierDePlus.h",
	"XConv.cpp",
	"xConv.h",
	"xReduc.hpp",
	"ressource.rc",
};

char *RegardeSiLaChaineNexistePasDeja(char *fichier, char *chaineAComparer)		{
	char chne[10000], *ptr, *ptr2;
	FILE *fDico;

	fDico=fopen(fichier,"r");

	while(1)		{
		fgets(chne,sizeof(chne),fDico);
		if (feof(fDico))
			break;
		if (chne[0]!='\"')
			continue;
		ptr=chne+1;
		while(!(*ptr=='\"' && *(ptr-1)!='\\'))
			ptr++;
		*(ptr+1)=0;
		ptr+=2;
		if (!strcmp(chne,chaineAComparer))		{
			ptr2=ptr;
			while(*ptr2)		ptr2++;
			*(ptr2-1)=0;
			fclose(fDico);
			return ptr;
		}
	}
	fclose(fDico);
	return NULL;
}

void AjouteMot(char *fichier, char *mot, char *traduit)		{
	char chne[20000];
	FILE *fDico;

	fDico=fopen(fichier,"a+");

	sprintf(chne,"%s=%s\n",mot,traduit);
	fputs(chne,fDico);
	
	fclose(fDico);
}

char chneATraduire[10000], nouvelleChaine[10000];
int terminer, ligne, nFichier;
fpos_t derLigne;

int APIENTRY WinMain(HINSTANCE hInstance,
                     HINSTANCE hPrevInstance,
                     LPSTR     lpCmdLine,
                     int       nCmdShow)
{
 	// TODO: Place code here.
	FILE *fSrc, *fDst;
	char c, *duDico, chne[10000];
	int i,lastCar, traduction;
	HWND hPatienter;
	fpos_t ligneTemp;
	int arretTraductionPourLaLigne;

	terminer=0;

	hPatienter=CreateDialog(hInstance,(LPCTSTR)IDD_PATIENTER,NULL,(DLGPROC)DlgPatienter);

	for (nFichier=0;nFichier<sizeof(fichiers)/sizeof(fichiers[0]);nFichier++)		{
		SetDlgItemText(hPatienter,IDC_NOM,fichiers[nFichier]);
		char source[1024], dest[1024];
		sprintf(source, "../GBA Graphics Franais (original)/%s", fichiers[nFichier]);
		sprintf(dest, "../GBA Graphics English/%s", fichiers[nFichier]);
		fSrc=fopen(source,"r");
		fDst=fopen(dest,"w");
		ligne=1;
		c=0;

		fgetpos(fSrc,&derLigne);
		traduction=1;
		arretTraductionPourLaLigne=0;

		while(1)		{
			lastCar=c;
			c=fgetc(fSrc);

			if (c=='\n')		{
				arretTraductionPourLaLigne=0;
				fgetpos(fSrc,&derLigne);
				ligne++;
			}

			if (feof(fSrc))
				break;

			if (c == '#') {
				fgetpos(fSrc, &ligneTemp);
				fgets(chne, sizeof(chne), fSrc);
				// Ignore toutes les directives sauf les #define
				if (strncmp(chne, "define", 7))
					arretTraductionPourLaLigne = 1;
				fsetpos(fSrc, &ligneTemp);
				fputc(c, fDst);
			}
			else if (c=='/' && lastCar=='/')		{
				fgetpos(fSrc,&ligneTemp);
				fgets(chne,sizeof(chne),fSrc);
				fseek(fSrc,-1,SEEK_CUR);
				if (!strcmp(chne,"Ne pas traduire\n"))
					traduction=0;
				else if (!strcmp(chne,"Traduction possible\n"))
					traduction=1;
				fputc('/',fDst);
				fsetpos(fSrc,&ligneTemp);
				arretTraductionPourLaLigne=1;
			}
			else if (c=='\"' && lastCar!='\\' && traduction && !arretTraductionPourLaLigne)		{
				chneATraduire[0]=c;
				for (i=1;i<sizeof(chneATraduire);i++)		{
					chneATraduire[i]=fgetc(fSrc);
					if (chneATraduire[i]=='\"' && chneATraduire[i-1]!='\\')
						break;
				}
				chneATraduire[++i]=0;
//				printf("%s: ",chneATraduire);
				duDico=RegardeSiLaChaineNexistePasDeja("dico.txt", chneATraduire);
				if (duDico)		{
//					printf("%s\n",duDico);
					fputs(duDico,fDst);
				}
				else	{
					duDico=RegardeSiLaChaineNexistePasDeja("dico_base.txt", chneATraduire);
					if (duDico)		{
						strcpy(nouvelleChaine, duDico);
						AjouteMot("dico.txt", chneATraduire,nouvelleChaine);
					}
					else	{
						nouvelleChaine[0]='\"';
						DialogBox(hInstance,(LPCTSTR)IDD_ENTREE,NULL,(DLGPROC)DlgEntree);
						if (terminer)		{
							fclose(fSrc);
							fclose(fDst);
							return 0;
						}
//						scanf("%s",nouvelleChaine+1);
						i=strlen(nouvelleChaine);
						nouvelleChaine[i]='\"';
						nouvelleChaine[i+1]=0;
						AjouteMot("dico.txt", chneATraduire,nouvelleChaine);
						fputs(nouvelleChaine,fDst);
					}
				}
			}
			else
				fputc(c,fDst);
		}

		fclose(fSrc);
		fclose(fDst);
	}

	return 0;
}



LRESULT CALLBACK DlgEntree(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam)		{
	char chne[10000];
	int i;
	FILE *f;

	switch (message)
	{
		case WM_INITDIALOG:
			sprintf(chne,"%s, ligne %i",fichiers[nFichier],ligne);
			SetDlgItemText(hDlg,IDC_DESC,chne);
			sprintf(chne, "../GBA Graphics Franais (original)/%s", fichiers[nFichier]);
			f=fopen(chne,"r");
			fsetpos(f,&derLigne);
			fgets(chne,sizeof(chne),f);
			for (i=0;chne[i];i++)		{
				if (chne[i]=='	')
					chne[i]=' ';
				else if (chne[i]=='\n')		{
					chne[i]=0;
					break;
				}
			}
			fclose(f);
			SetDlgItemText(hDlg,IDC_EDIT1,chne);
			SetDlgItemText(hDlg,IDC_EDIT2,chneATraduire);
			strcpy(chne,chneATraduire+1);
			i=strlen(chne);
			chne[i-1]=0;
			SetDlgItemText(hDlg,IDC_EDIT3,chne);
			return TRUE;

		case WM_COMMAND:

			//Bouton ok
			if (LOWORD(wParam) == IDOK) 
			{
				GetDlgItemText(hDlg,IDC_EDIT3,nouvelleChaine+1,sizeof(nouvelleChaine)-2);
				//Dialogue termin
				EndDialog(hDlg, IDOK);
				return TRUE;
			}

			//Bouton annuler
			if (LOWORD(wParam) == IDCANCEL)
			{
				terminer=1;
				EndDialog(hDlg, IDCANCEL);
				return TRUE;
			}

			break;
	}

    return FALSE;
}

LRESULT CALLBACK DlgPatienter(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam)		{
	switch (message)
	{
		case WM_INITDIALOG:
			return TRUE;

		case WM_COMMAND:
			//Bouton annuler
			if (LOWORD(wParam) == IDCANCEL)
			{
				EndDialog(hDlg, IDCANCEL);
				return TRUE;
			}

			break;
	}

    return FALSE;
}
